## AwnOverlayPixbuf AwnOverlayPixbuf — An AwnOverlay subclass to overlay a GdkPixbuf |

## Stability Level

Unstable, unless otherwise indicated

## Synopsis

    #include <libawn/libawn.h>

                        AwnOverlayPixbuf;
    AwnOverlayPixbuf*   awn_overlay_pixbuf_new              (void);
    AwnOverlayPixbuf*   awn_overlay_pixbuf_new_with_pixbuf  (GdkPixbuf *pixbuf);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----AwnOverlay
                   +----AwnOverlayPixbuf
                         +----AwnOverlayPixbufFile

## Properties

      "alpha"                    gdouble               : Read / Write / Construct
      "pixbuf"                   GdkPixbuf*            : Read / Write / Construct
      "scale"                    gdouble               : Read / Write / Construct

## Description

Overlay a GdkPixbuf on an AwnOverlaidIcon. You probably should _NOT_ be using this object. You almost certainly should be using AwnOverlayThemedIcon or failing that AwnOverlayPixbufFile. Unecessary use of this object is grounds to be pilloried.

## Details

### AwnOverlayPixbuf

    typedef struct _AwnOverlayPixbuf AwnOverlayPixbuf;

Overlay a GdkPixbuf on an AwnOverlaidIcon. You probably should _NOT_ be using this object. You almost certainly should be using AwnOverlayThemedIcon or failing that AwnOverlayPixbufFile. Unecessary use of this object is grounds to be pilloried.

### awn_overlay_pixbuf_new ()

    AwnOverlayPixbuf*   awn_overlay_pixbuf_new              (void);

Creates a new instance of AwnOverlayPixbuf.

Returns : | an instance of AwnOverlayPixbuf.

### awn_overlay_pixbuf_new_with_pixbuf ()

    AwnOverlayPixbuf*   awn_overlay_pixbuf_new_with_pixbuf  (GdkPixbuf *pixbuf);

`pixbuf` : |
Returns : |

## Property Details

### The `"alpha"` property

      "alpha"                    gdouble               : Read / Write / Construct

An alpha value to apply to the Overlay. Range of 0.0...1.0. Default is 0.9.

Allowed values: [0,1]

Default value: 0.9

### The `"pixbuf"` property

      "pixbuf"                   GdkPixbuf*            : Read / Write / Construct

A GdkPixbuf to overlay.

### The `"scale"` property

      "scale"                    gdouble               : Read / Write / Construct

The desired size of the overlay scaled to the Icon. Range 0.0...1.0. Default value of 0.5

Allowed values: [0,1]

Default value: 0.5

## See Also

#AwnOverlay, AwnOverlayText, AwnOverlayThemedIcon, AwnOverlaidIcon